Ignore:
Timestamp:
Apr 28, 2009, 1:31:03 AM (11 years ago)
Author:
devans@…
Message:

metacity: update to version 2.26.0, update dependencies, ensure that appropriate X11 paths are used.

Location:
trunk/dports/gnome/metacity
Files:
1 deleted
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/gnome/metacity/Portfile

    r43815 r50243  
     1# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
    12# $Id$
    23
     
    45
    56name            metacity
    6 version         2.24.0
     7version         2.26.0
    78set branch  [join [lrange [split ${version} .] 0 1] .]
    89description     A window manager for the adult in you.
    910long_description        ${description}
    1011maintainers     nomaintainer
    11 categories      gnome x11-wm 
    12 platforms       darwin 
     12categories      gnome x11-wm
     13platforms       darwin
    1314homepage        http://www.gnome.org
    1415master_sites    gnome:sources/${name}/${branch}/
    15 checksums       md5 d4aa782d5f71b6c42514b239684a4aa3 \
    16                         sha1 0b2e37e372498e26a6926fbb68e96556c6db6497 \
    17                         rmd160 758c26e163fdc84dcee1e386ab8cbefc38cdd7a5
    1816
    19 depends_lib \
    20         port:gtk2 \
    21         port:gconf \
    22         port:startup-notification \
    23         port:gnome-themes
    24 depends_build \
    25         port:gnome-doc-utils \
    26         port:pkgconfig
     17checksums       md5     eafb624e79fbcdab6da59acc222430b1 \
     18                sha1    70593f69148960a0248527c8ae8d442a3d251d08 \
     19                rmd160  26b75abb9b705f9fd7711dfbbff134e600dcfd56
     20
     21depends_lib     port:gconf \
     22                port:startup-notification \
     23                port:gnome-themes
     24
     25depends_build   port:gnome-doc-utils \
     26                port:pkgconfig
    2727
    2828use_bzip2       yes
    2929
    30 patchfiles      patch-src_core_util.c.diff
     30configure.args  --mandir=${prefix}/share/man \
     31                --disable-scrollkeeper
    3132
    32 configure.args  --mandir=${prefix}/share/man \
    33                                 --disable-scrollkeeper
     33pre-fetch {
     34    if {![file exists $prefix/lib/libgdk-x11-2.0.dylib]} {
     35        ui_error "gtk2 must be installed with +x11 variant enabled."
     36        error "gtk2 must be installed with +x11 variant."
     37    }
     38}
     39
     40if {[file exists ${prefix}/lib/pkgconfig/x11.pc]} {
     41        configure.args-append --x-includes=${prefix}/include \
     42                              --x-libraries=${prefix}/lib
     43}
    3444
    3545post-activate {
Note: See TracChangeset for help on using the changeset viewer.